summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-03-04 04:36:58 +0100
committerMichał Górny <mgorny@gentoo.org>2026-03-04 04:43:00 +0100
commitfed354825cb05cb3c1d6715f3c545a53600db1ac (patch)
tree354397bd8c4b74fde2e2c5ff29b357d183a6320a /dev-python
parent81b4656c23da62a41d03df4976066d60d1c79cf9 (diff)
downloadgentoo-fed354825cb05cb3c1d6715f3c545a53600db1ac.tar.gz
gentoo-fed354825cb05cb3c1d6715f3c545a53600db1ac.tar.bz2
gentoo-fed354825cb05cb3c1d6715f3c545a53600db1ac.zip
dev-python/pytz: Bump to 2026.1_p1
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/pytz/Manifest2
-rw-r--r--dev-python/pytz/pytz-2026.1_p1.ebuild52
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/pytz/Manifest b/dev-python/pytz/Manifest
index 0e8dc22a89a8..7dd75a41114c 100644
--- a/dev-python/pytz/Manifest
+++ b/dev-python/pytz/Manifest
@@ -1 +1,3 @@
DIST pytz-2025.2.tar.gz 320884 BLAKE2B 4333c36395c8ef983d832d25d47ef1756ba2faf051bd68c188c7d99a40d63162ad8289852f34e9cd9ddbf00875b6f0190c402fb3632ee41dd586742d0dde8b0c SHA512 1ac84bd8d9a152b71b4de302a472e50619c901ad4c7747ddddbb780d8d3df07e5e18d3c68722eff08f8e8ff625d46133fe12bcf6f5210b69ce589051247cd4b6
+DIST pytz-2026.1.post1.tar.gz 321088 BLAKE2B 3ce2028abec2a07c753bdd822cb8c86d043e76322321fb96f8ccba19252f46d78a3bc21a7b63feaf2bf922b4aa97854e763fc352428ada9a9b576ecc9c9d0d0c SHA512 58e9ecf500c8945de73c32263bed54fe80770e948f3ad539670927a61b9d099f1a21d4948c5913b0721183d5a77bbf83b7b148f2d1b3bc659b669c4a8eae63f8
+DIST pytz-2026.1.post1.tar.gz.provenance 9503 BLAKE2B 709cc5bead68d64fcc511e734d945b7120517395b74fdd2d363c945bb67960e18644df8328c9b5a92e9a80f2e6be69d5352c390bc3c2b2087fb882108d7d8094 SHA512 2fb3f3d78a71927fb8971ae60360d97ee6c40cfd665f17ca0a5fffd04ca1cc2b67ac3e64faac7c3288abe826b86b97d7fbfb0565ac489e6c625928ce22ab9d74
diff --git a/dev-python/pytz/pytz-2026.1_p1.ebuild b/dev-python/pytz/pytz-2026.1_p1.ebuild
new file mode 100644
index 000000000000..6e3ad86d8b36
--- /dev/null
+++ b/dev-python/pytz/pytz-2026.1_p1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/stub42/pytz
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="World timezone definitions for Python"
+HOMEPAGE="
+ https://pythonhosted.org/pytz/
+ https://github.com/stub42/pytz/
+ https://pypi.org/project/pytz/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ || (
+ >=sys-libs/timezone-data-2023b
+ sys-libs/glibc[vanilla]
+ )
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ )
+"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unbundle timezone-data
+ rm -r pytz/zoneinfo || die
+ # remove hardcoded list of all timezones but leave subjective set
+ # of "common timezones"
+ sed -i -e '/^_all_timezones_unchecked/,/^all_timezones_set/d' pytz/__init__.py || die
+ eapply "${FILESDIR}"/pytz-2023.2-system-tzinfo.patch
+}
+
+python_test() {
+ "${EPYTHON}" pytz/tests/test_tzinfo.py -v ||
+ die "Tests fail with ${EPYTHON}"
+}